Redeem Admin Handoff
curl --request POST \
--url https://api.member.dev/api/v1/auth/admin-handoff/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"code": "<string>",
"code_verifier": "<string>",
"state": "<string>"
},
"type": "admin_handoff_redemptions"
}
}
'import requests
url = "https://api.member.dev/api/v1/auth/admin-handoff/redeem"
payload = { "data": {
"attributes": {
"code": "<string>",
"code_verifier": "<string>",
"state": "<string>"
},
"type": "admin_handoff_redemptions"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {code: '<string>', code_verifier: '<string>', state: '<string>'},
type: 'admin_handoff_redemptions'
}
})
};
fetch('https://api.member.dev/api/v1/auth/admin-handoff/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/auth/admin-handoff/redeem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'code' => '<string>',
'code_verifier' => '<string>',
'state' => '<string>'
],
'type' => 'admin_handoff_redemptions'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/auth/admin-handoff/redeem"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"code\": \"<string>\",\n \"code_verifier\": \"<string>\",\n \"state\": \"<string>\"\n },\n \"type\": \"admin_handoff_redemptions\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/auth/admin-handoff/redeem")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"code\": \"<string>\",\n \"code_verifier\": \"<string>\",\n \"state\": \"<string>\"\n },\n \"type\": \"admin_handoff_redemptions\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/auth/admin-handoff/redeem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"code\": \"<string>\",\n \"code_verifier\": \"<string>\",\n \"state\": \"<string>\"\n },\n \"type\": \"admin_handoff_redemptions\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"access_token": "<string>",
"destination_path": "<string>",
"expires_in": 123,
"refresh_token": "<string>",
"token_type": "<string>"
},
"id": "<string>",
"type": "token_pairs"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}auth
Redeem Admin Handoff
Exchange an Admin handoff code for a platform session.
The code is spent before the live authority is re-read, so a refusal cannot reopen it. A browser that already holds another User’s platform session gets 409 and nothing changes; there is no way to override that.
POST
/
api
/
v1
/
auth
/
admin-handoff
/
redeem
Redeem Admin Handoff
curl --request POST \
--url https://api.member.dev/api/v1/auth/admin-handoff/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"code": "<string>",
"code_verifier": "<string>",
"state": "<string>"
},
"type": "admin_handoff_redemptions"
}
}
'import requests
url = "https://api.member.dev/api/v1/auth/admin-handoff/redeem"
payload = { "data": {
"attributes": {
"code": "<string>",
"code_verifier": "<string>",
"state": "<string>"
},
"type": "admin_handoff_redemptions"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {code: '<string>', code_verifier: '<string>', state: '<string>'},
type: 'admin_handoff_redemptions'
}
})
};
fetch('https://api.member.dev/api/v1/auth/admin-handoff/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/auth/admin-handoff/redeem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'code' => '<string>',
'code_verifier' => '<string>',
'state' => '<string>'
],
'type' => 'admin_handoff_redemptions'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/auth/admin-handoff/redeem"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"code\": \"<string>\",\n \"code_verifier\": \"<string>\",\n \"state\": \"<string>\"\n },\n \"type\": \"admin_handoff_redemptions\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/auth/admin-handoff/redeem")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"code\": \"<string>\",\n \"code_verifier\": \"<string>\",\n \"state\": \"<string>\"\n },\n \"type\": \"admin_handoff_redemptions\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/auth/admin-handoff/redeem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"code\": \"<string>\",\n \"code_verifier\": \"<string>\",\n \"state\": \"<string>\"\n },\n \"type\": \"admin_handoff_redemptions\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"access_token": "<string>",
"destination_path": "<string>",
"expires_in": 123,
"refresh_token": "<string>",
"token_type": "<string>"
},
"id": "<string>",
"type": "token_pairs"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Body
application/vnd.api+json